Skip to content

Update organization

PATCH
/organizations/{id}

Updates a whitelisted set of org columns. Requires the manage_system_settings permission.

Authorizations

BearerAuth

Authentication is handled automatically via httpOnly session cookies after signing in at /cognito/signin or via Google SSO at /cognito/oauth/google. For Swagger UI testing, paste a JWT token from the /cognito/signin response.

Type
HTTP (bearer)

Parameters

Path Parameters

id*
Type
string
Required
Format
"uuid"

Request Body

application/json
JSON
{
"legal_name": "string",
"dba_name": "string",
"country": "string",
"ein": "string",
"address": "string",
"website": "string",
"logo": "string",
"description": "string",
"categories": [
"string"
],
"verification_status": "string",
"verification_notes": "string"
}

Responses

Updated organization (full row)

application/json
JSON
{
"data": {
}
}

Playground

Server
Authorization
Variables
Key
Value
Body

Samples

Powered by VitePress OpenAPI

Built with VitePress